Subject: Re: Linux support for RDMA (was: [Ksummit-2005-discuss] Summary of 2005 Kernel Summit Proposed Topics)

From: [email-masked]
Date: Thu, 31 Mar 2005 21:13:39 -0500

Quoting Roland Dreier <[email-masked]>:
> I have to admit I don't know much about the TOE / RDMA/TCP / RNIC (or
> whatever you want to call it) world.  However I know that the large
> majority of InfiniBand use right now is running on Linux, and I hope
> the Linux community is willing to work with the IB community.
>

Just want to let everyone know know that we have started an opensource
effort (www.openrdma.org) for enablement of RNICs (RDMA enabled NICs). This
community has now come up with an architecture
(http://rdma.sourceforge.net/architecture.pdf) to build this support in Linux.
Would really appreciate if you review and provide any comments. We have just
started to hack but no code is available on this project yet.

Thanks
Venkat